<?php
/**
 * Template part for displaying page content in page.php.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package imate
 */

$thumb = get_post_thumbnail_id(get_the_ID());
$image = '';

if(!empty($thumb) && isset(wp_get_attachment_image_src($thumb, 'full')[0])) {
	$image = wp_get_attachment_image_src($thumb, 'full')[0];
}

if(imate_is_woocommerce_page() && !empty(imate_styles()['shop_top_background'])) {
	$image = imate_styles()['shop_top_background'];
}

?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<div class="site-content">
		<?php if(empty($image)) {
			the_title( '<div class="page-title"><h1 class="h2 heading">', '</h1></div>' );
		} ?>
		<div class="clearfix post-content"><?php the_content(); ?></div>
		<?php if(function_exists('wp_link_pages')) { ?>
			<?php wp_link_pages(array('before' => '<div class="pagination">', 'after' => '</div>','link_before' => '<span>','link_after' => '</span>',)); ?>
		<?php } ?>
	</div><!-- .entry-content -->
</article><!-- #post-## -->
