
<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package imate
 */
?>			<?php if(imate_styles()['footer'] == 'show') { ?>
				<footer class="site-footer dark main-row">
					<div class="container">
						<div class="square-bg-block"></div>
						<div class="row">
							<div class="col-xs-12 col-md-<?php echo esc_attr(imate_styles()['footer_col_1']) ?>">
								<div class="logo"><a href="<?php echo esc_url(home_url('/')) ?>"><?php echo wp_kses_post(imate_styles()['logo_content']) ?></a></div>
								<?php if(is_active_sidebar('footer-1')) { ?>
									<?php dynamic_sidebar('footer-1'); ?>
								<?php } if(!empty(imate_styles()['copyright_text'])) { ?>
									<div class="copyright"><?php echo wp_kses_post(imate_styles()['copyright_text']) ?></div>
								<?php } ?>
							</div>
							<?php if(is_active_sidebar('footer-2')) { ?>
							<div class="col-xs-12 col-md-<?php echo esc_attr(imate_styles()['footer_col_2']) ?>">
								<?php dynamic_sidebar('footer-2'); ?>
							</div>
							<?php } if(is_active_sidebar('footer-3')) { ?>
							<div class="col-xs-12 col-md-<?php echo esc_attr(imate_styles()['footer_col_3']) ?>">
								<?php dynamic_sidebar('footer-3'); ?>
							</div>
							<?php } if(is_active_sidebar('footer-4')) { ?>
							<div class="col-xs-12 col-md-<?php echo esc_attr(imate_styles()['footer_col_4']) ?>">
								<?php dynamic_sidebar('footer-4'); ?>
							</div>
							<?php } ?>
						</div>
					</div>
				</footer>
			<?php } ?>
		</div>
		
		<?php wp_footer(); ?>

	</body>
</html>